X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

using mozzila 5.0 and being informed by many sites they will no longer support this operating mode , but my XO10.4 WONT LOAD NEWER verson of firefox whats my op

Posted

gmail has flaged they will no longer support this operation system also I Hart radeo and the list grows daily what are my options?

Additional System Details

Sites Affected

http://

Installed Plug-ins

  • Gecko default plugin
  • Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • iPhoto6
  • Coupons Inc. Plugin
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Shockwave Flash 10.3 r183

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9.2.28) Gecko/20120306 Firefox/3.6.28

More Information

Tyler Downer
  • Administrator
  • Moderator
1164 solutions 6629 answers

The only real option you have is the following:


  • Upgrade to a newer version of Mac. Since you have an Intel Processor you can upgrade to some newer versions of Mac OS that will run more modern software.
  • Buy a new computer

You can read more at Firefox no longer works with Mac OS X 10.4 or PowerPC processors